import * as type from './../constants'

/*
*	Auth
*/
export const loginRequest = () => ({
	type: type.LOGIN_REQUEST
})

export const logoutRequest = () => ({
	type: type.LOGOUT_REQUEST
})

/*
*	Register
*/
export const setProgressBar = (num) => ({
	type: type.SET_PROGRESS_BAR,
	num
})

export const resetData = () => ({
	type: type.RESET_DATA
})

export const setFname = (fname) => ({
	type: type.SET_F_NAME,
	fname
})

export const setLname = (lname) => ({
	type: type.SET_L_NAME,
	lname
})

export const setFather = (father) => ({
	type: type.SET_FATHER,
	father
})

export const setDateBirth = (dateBirth) => ({
	type: type.SET_DATE_BIRTH,
	dateBirth
})

export const setCodeNational = (codeNational) => ({
	type: type.SET_CODE_NATIONAL,
	codeNational
})

export const setMobile = (mobile) => ({
	type: type.SET_MOBILE,
	mobile
})

export const setTel = (tel) => ({
	type: type.SET_TEL,
	tel
})

export const setUsername = (username) => ({
	type: type.SET_USERNAME,
	username
})

export const setPassword = (password) => ({
	type: type.SET_PASSWORD,
	password
})

export const setConfirm = (confirm) => ({
	type: type.SET_CONFIRM,
	confirm
})

export const setEmail = (email) => ({
	type: type.SET_EMAIL,
	email
})

export const setWebsite = (website) => ({
	type: type.SET_WEBSITE,
	website
})

export const setCodePostal = (codePostal) => ({
	type: type.SET_CODE_POSTAL,
	codePostal
})

export const setAddress = (address) => ({
	type: type.SET_ADDRESS,
	address
})

export const setCodeSupervisor = (codeSupervisor) => ({
	type: type.SET_CODE_SUPERVISER,
	codeSupervisor
})

export const setCodeIntro = (codeIntro) => ({
	type: type.SET_CODE_INTRO,
	codeIntro
})

export const setCodeEconomic = (codeEconomic) => ({
	type: type.SET_CODE_ECONOMIC,
	codeEconomic
})

export const setType = (varient) => ({
	type: type.SET_TYPE,
	varient
})

export const setCitizens = (citizens) => ({
	type: type.SET_CITIZENS,
	citizens
})

export const setCodeCitizens = (codeCitizens) => ({
	type: type.SET_CODE_CITIZENS,
	codeCitizens
})

export const setDesc = (desc) => ({
	type: type.SET_DESC,
	desc
})

/*
*	Reservation
*/
export const setBookableTimes = (bookableTimes) => ({
	type: type.SET_BOOKABLE_TIMES,
	bookableTimes
})

export const setFutureTimes = (futureTimes) => ({
	type: type.SET_FUTURE_TIMES,
	futureTimes
})

export const setAllTimes = (allTimes) => ({
	type: type.SET_ALL_TIMES,
	allTimes
})

export const setDays = (days) => ({
	type: type.SET_DAYS,
	days
})

export const setServices = (services) => ({
	type: type.SET_SERVICES,
	services
})

export const setExperts = (experts) => ({
	type: type.SET_EXPERTS,
	experts
})

export const setFrom = (from) => ({
	type: type.SET_FROM,
	from
})

export const setTo = (to) => ({
	type: type.SET_TO,
	to
})

export const setDay = (day) => ({
	type: type.SET_DAY,
	day
})

export const setService = (service) => ({
	type: type.SET_SERVICE,
	service
})

export const setExpert = (expert) => ({
	type: type.SET_EXPERT,
	expert
})

export const setDataBookableTimes = (data) => ({
	type: type.SET_DATA_BOOKABLE_TIMES,
	data
})

export const setDataFutureTimes = (data) => ({
	type: type.SET_DATA_fUTURE_TIMES,
	data
})

export const setDataAllTimes = (data) => ({
	type: type.SET_DATA_ALL_TIMES,
	data
})