import React, {PureComponent} from "react"

class LoadingElement extends PureComponent
{
    render()
    {
        return (
            <>
                {
                    this.props.varient === "button"
                        ? 
                            <><div className="spinner-grow"></div>صبر نمایید...</>
                        :
                            <div className="text-center text-info p-3">
                                <div className="spinner-grow"></div>
                                <span className="text-muted">صبر نمایید...</span>
                            </div>
                }
            </>
        )
    }
}

export default LoadingElement