import React, {PureComponent} from "react"
import Information from "./../../components/panel/profile/Information"
import Swal from "sweetalert2"

class Profile extends PureComponent
{   
    editHandler()
    {
        Swal.fire({icon: 'info', title: 'به زودی...', showConfirmButton: false, timer: 2000})
    }

    render()
    {
        return (
            <div className="my-animate-page">
                <Information {...this.props} />

                <div className="d-flex mt-3 text-right">
                    <button onClick={() => this.editHandler()} className="btn btn-lg btn-info flex-grow-1 flex-lg-grow-0">
                        <i className="ion-edit" style={{fontSize: "16px"}}></i>
                        ویرایش پروفایل
                    </button>
                </div>
            </div>
        )
    }
}

export default Profile